Inboxes
List WhatsApp message templates
List the cached message templates available for a native or Twilio WhatsApp inbox
GET
/
api
/
v1
/
accounts
/
{account_id}
/
inboxes
/
{id}
/
message_templates
List WhatsApp message templates
curl --request GET \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/inboxes/{id}/message_templates \
--header 'api_access_token: <api-key>'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/inboxes/{id}/message_templates"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/inboxes/{id}/message_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{}
],
"meta": {
"last_sync_attempt_at": "2023-11-07T05:31:56Z"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
ID of the native or Twilio WhatsApp inbox
Query Parameters
Exact template name to filter by
⌘I
List WhatsApp message templates

